diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/zigbee/test/zigbee-aps-data-test.cc ns-3.46/src/zigbee/test/zigbee-aps-data-test.cc
--- ns-3.45/src/zigbee/test/zigbee-aps-data-test.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.46/src/zigbee/test/zigbee-aps-data-test.cc	2025-10-01 18:46:32.000000000 -0700
@@ -0,0 +1,334 @@
+/*
+ * Copyright (c) 2025 Tokushima University, Tokushima, Japan
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author:
+ *  Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
+ */
+
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/rng-seed-manager.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/zigbee-module.h"
+
+#include <iomanip>
+#include <iostream>
+
+using namespace ns3;
+using namespace ns3::lrwpan;
+using namespace ns3::zigbee;
+
+NS_LOG_COMPONENT_DEFINE("zigbee-aps-data-test");
+
+/**
+ * @ingroup zigbee-test
+ * @ingroup tests
+ *
+ * Zigbee RREQ transmission retries test case
+ */
+class ZigbeeApsDataTestCase : public TestCase
+{
+  public:
+    ZigbeeApsDataTestCase();
+    ~ZigbeeApsDataTestCase() override;
+
+  private:
+    /**
+     * Callback for APSDE-DATA.indication
+     * This callback is called when a data packet is received by the APS layer.
+     *
+     * @param testcase The ZigbeeApsDataTestCase instance
+     * @param stack The Zigbee stack that received the data
+     * @param params The parameters of the APSDE-DATA.indication
+     * @param asdu The received packet
+     */
+    static void ApsDataIndication(ZigbeeApsDataTestCase* testcase,
+                                  Ptr<ZigbeeStack> stack,
+                                  ApsdeDataIndicationParams params,
+                                  Ptr<Packet> asdu);
+
+    /**
+     * Callback for NLME-NETWORK-DISCOVERY.confirm
+     * This callback is called when a network discovery has been performed.
+     *
+     * @param testcase The ZigbeeApsDataTestCase instance
+     * @param stack The Zigbee stack that received the confirmation
+     * @param params The parameters of the NLME-NETWORK-DISCOVERY.confirm
+     */
+    static void NwkNetworkDiscoveryConfirm(ZigbeeApsDataTestCase* testcase,
+                                           Ptr<ZigbeeStack> stack,
+                                           NlmeNetworkDiscoveryConfirmParams params);
+
+    /**
+     * Send data to a unicast destination.
+     * This function sends a data packet from stackSrc to stackDst.
+     *
+     * @param stackSrc The source Zigbee stack
+     * @param stackDst The destination Zigbee stack
+     */
+    static void SendDataUcstDst(Ptr<ZigbeeStack> stackSrc, Ptr<ZigbeeStack> stackDst);
+
+    void DoRun() override;
+
+    uint16_t m_dstEndpoint; //!< The destination endpoint
+};
+
+ZigbeeApsDataTestCase::ZigbeeApsDataTestCase()
+    : TestCase("Zigbee: APS layer data test")
+{
+    m_dstEndpoint = 0;
+}
+
+ZigbeeApsDataTestCase::~ZigbeeApsDataTestCase()
+{
+}
+
+void
+ZigbeeApsDataTestCase::ApsDataIndication(ZigbeeApsDataTestCase* testcase,
+                                         Ptr<ZigbeeStack> stack,
+                                         ApsdeDataIndicationParams params,
+                                         Ptr<Packet> asdu)
+{
+    testcase->m_dstEndpoint = params.m_dstEndPoint;
+}
+
+void
+ZigbeeApsDataTestCase::NwkNetworkDiscoveryConfirm(ZigbeeApsDataTestCase* testcase,
+                                                  Ptr<ZigbeeStack> stack,
+                                                  NlmeNetworkDiscoveryConfirmParams params)
+{
+    if (params.m_status == NwkStatus::SUCCESS)
+    {
+        NlmeJoinRequestParams joinParams;
+
+        zigbee::CapabilityInformation capaInfo;
+        capaInfo.SetDeviceType(MacDeviceType::ENDDEVICE);
+        capaInfo.SetAllocateAddrOn(true);
+
+        joinParams.m_rejoinNetwork = JoiningMethod::ASSOCIATION;
+        joinParams.m_capabilityInfo = capaInfo.GetCapability();
+        joinParams.m_extendedPanId = params.m_netDescList[0].m_extPanId;
+
+        Simulator::ScheduleNow(&ZigbeeNwk::NlmeJoinRequest, stack->GetNwk(), joinParams);
+    }
+    else
+    {
+        NS_ABORT_MSG("Unable to discover networks | status: " << params.m_status);
+    }
+}
+
+void
+ZigbeeApsDataTestCase::SendDataUcstDst(Ptr<ZigbeeStack> stackSrc, Ptr<ZigbeeStack> stackDst)
+{
+    // UCST transmission to a single 16-bit address destination
+    // Data is transmitted from device stackSrc to device stackDst.
+
+    Ptr<Packet> p = Create<Packet>(5);
+
+    // Because we currently do not have ZDO or ZCL or AF, clusterId
+    // and profileId numbers are non-sensical.
+    ApsdeDataRequestParams dataReqParams;
+    // creates a BitMap with transmission options
+    // Default, use 16 bit address destination (No option), equivalent to bitmap 0x00
+    ZigbeeApsTxOptions txOptions;
+    dataReqParams.m_txOptions = txOptions.GetTxOptions();
+    dataReqParams.m_useAlias = false;
+    dataReqParams.m_srcEndPoint = 3;
+    dataReqParams.m_clusterId = 5; // Arbitrary value
+    dataReqParams.m_profileId = 2; // Arbitrary value
+    dataReqParams.m_dstAddrMode = ApsDstAddressMode::DST_ADDR16_DST_ENDPOINT_PRESENT;
+    dataReqParams.m_dstAddr16 = stackDst->GetNwk()->GetNetworkAddress();
+    dataReqParams.m_dstEndPoint = 4;
+
+    Simulator::ScheduleNow(&ZigbeeAps::ApsdeDataRequest, stackSrc->GetAps(), dataReqParams, p);
+}
+
+void
+ZigbeeApsDataTestCase::DoRun()
+{
+    // Transmit data using the APS layer.
+
+    // Zigbee Coordinator --------------> Zigbee EndDevice(destination endpoint:4)
+
+    // This test transmit a single packet to an enddevice with endpoint 4.
+    // The data transmission is done using the mode DST_ADDR16_DST_ENDPOINT_PRESENT (Mode 0x02).
+    // No fragmentations or Acknowledge is used
+    // Verification that the devices have join the network is performed
+    // (i.e., All devices have valid network addresses).
+
+    RngSeedManager::SetSeed(3);
+    RngSeedManager::SetRun(4);
+
+    NodeContainer nodes;
+    nodes.Create(3);
+
+    //// Add the PHY and MAC, configure the channel
+
+    LrWpanHelper lrWpanHelper;
+    NetDeviceContainer lrwpanDevices = lrWpanHelper.Install(nodes);
+    Ptr<LrWpanNetDevice> dev0 = lrwpanDevices.Get(0)->GetObject<LrWpanNetDevice>();
+    Ptr<LrWpanNetDevice> dev1 = lrwpanDevices.Get(1)->GetObject<LrWpanNetDevice>();
+    Ptr<LrWpanNetDevice> dev2 = lrwpanDevices.Get(2)->GetObject<LrWpanNetDevice>();
+
+    dev0->GetMac()->SetExtendedAddress("00:00:00:00:00:00:CA:FE");
+    dev1->GetMac()->SetExtendedAddress("00:00:00:00:00:00:00:01");
+    dev2->GetMac()->SetExtendedAddress("00:00:00:00:00:00:00:02");
+
+    Ptr<SingleModelSpectrumChannel> channel = CreateObject<SingleModelSpectrumChannel>();
+    Ptr<LogDistancePropagationLossModel> propModel =
+        CreateObject<LogDistancePropagationLossModel>();
+
+    Ptr<ConstantSpeedPropagationDelayModel> delayModel =
+        CreateObject<ConstantSpeedPropagationDelayModel>();
+
+    channel->AddPropagationLossModel(propModel);
+    channel->SetPropagationDelayModel(delayModel);
+
+    dev0->SetChannel(channel);
+    dev1->SetChannel(channel);
+    dev2->SetChannel(channel);
+
+    // Add Zigbee stack with  NWK and APS
+
+    ZigbeeHelper zigbeeHelper;
+    ZigbeeStackContainer zigbeeStackContainer = zigbeeHelper.Install(lrwpanDevices);
+
+    Ptr<ZigbeeStack> zstack0 = zigbeeStackContainer.Get(0)->GetObject<ZigbeeStack>();
+    Ptr<ZigbeeStack> zstack1 = zigbeeStackContainer.Get(1)->GetObject<ZigbeeStack>();
+    Ptr<ZigbeeStack> zstack2 = zigbeeStackContainer.Get(2)->GetObject<ZigbeeStack>();
+
+    // reprodusable results from random events occurring inside the stack.
+    zstack0->GetNwk()->AssignStreams(0);
+    zstack1->GetNwk()->AssignStreams(10);
+    zstack2->GetNwk()->AssignStreams(20);
+
+    //// Configure Nodes Mobility
+
+    Ptr<ConstantPositionMobilityModel> dev0Mobility = CreateObject<ConstantPositionMobilityModel>();
+    dev0Mobility->SetPosition(Vector(0, 0, 0));
+    dev0->GetPhy()->SetMobility(dev0Mobility);
+
+    Ptr<ConstantPositionMobilityModel> dev1Mobility = CreateObject<ConstantPositionMobilityModel>();
+    dev1Mobility->SetPosition(Vector(50, 0, 0));
+    dev1->GetPhy()->SetMobility(dev1Mobility);
+
+    Ptr<ConstantPositionMobilityModel> dev2Mobility = CreateObject<ConstantPositionMobilityModel>();
+    dev2Mobility->SetPosition(Vector(0, 50, 0));
+    dev2->GetPhy()->SetMobility(dev2Mobility);
+
+    // Configure APS hooks
+    zstack1->GetAps()->SetApsdeDataIndicationCallback(
+        MakeBoundCallback(&ApsDataIndication, this, zstack1));
+
+    zstack2->GetAps()->SetApsdeDataIndicationCallback(
+        MakeBoundCallback(&ApsDataIndication, this, zstack2));
+
+    // Configure NWK hooks
+    // We do not have ZDO, we are required to use the NWK
+    // directly to perform association.
+    zstack1->GetNwk()->SetNlmeNetworkDiscoveryConfirmCallback(
+        MakeBoundCallback(&NwkNetworkDiscoveryConfirm, this, zstack1));
+    zstack2->GetNwk()->SetNlmeNetworkDiscoveryConfirmCallback(
+        MakeBoundCallback(&NwkNetworkDiscoveryConfirm, this, zstack2));
+
+    // Configure NWK hooks (for managing Network Joining)
+
+    // 1 - Initiate the Zigbee coordinator on a channel
+    NlmeNetworkFormationRequestParams netFormParams;
+    netFormParams.m_scanChannelList.channelPageCount = 1;
+    netFormParams.m_scanChannelList.channelsField[0] = 0x00001800; // BitMap: channel 11 and 12
+    netFormParams.m_scanDuration = 0;
+    netFormParams.m_superFrameOrder = 15;
+    netFormParams.m_beaconOrder = 15;
+
+    Simulator::ScheduleWithContext(zstack0->GetNode()->GetId(),
+                                   Seconds(1),
+                                   &ZigbeeNwk::NlmeNetworkFormationRequest,
+                                   zstack0->GetNwk(),
+                                   netFormParams);
+
+    NlmeNetworkDiscoveryRequestParams netDiscParams;
+    netDiscParams.m_scanChannelList.channelPageCount = 1;
+    netDiscParams.m_scanChannelList.channelsField[0] = 0x00000800; // BitMap: Channels 11
+    netDiscParams.m_scanDuration = 2;
+    Simulator::ScheduleWithContext(zstack1->GetNode()->GetId(),
+                                   Seconds(2),
+                                   &ZigbeeNwk::NlmeNetworkDiscoveryRequest,
+                                   zstack1->GetNwk(),
+                                   netDiscParams);
+
+    NlmeNetworkDiscoveryRequestParams netDiscParams2;
+    netDiscParams.m_scanChannelList.channelPageCount = 1;
+    netDiscParams.m_scanChannelList.channelsField[0] = 0x00000800; // BitMap: Channels 11~14
+    netDiscParams.m_scanDuration = 2;
+    Simulator::ScheduleWithContext(zstack2->GetNode()->GetId(),
+                                   Seconds(3),
+                                   &ZigbeeNwk::NlmeNetworkDiscoveryRequest,
+                                   zstack2->GetNwk(),
+                                   netDiscParams2);
+
+    // Send data to a single UCST destination (16-bit address)
+    // The destination address is unknown until compilation, we extract
+    // it from the stack directly.
+    Simulator::Schedule(Seconds(4), &SendDataUcstDst, zstack0, zstack2);
+
+    Simulator::Run();
+
+    // Check that devices actually joined the network and have different 16-bit addresses.
+
+    NS_TEST_EXPECT_MSG_NE(zstack1->GetNwk()->GetNetworkAddress(),
+                          Mac16Address("FF:FF"),
+                          "The dev 1 was unable to join the network");
+
+    NS_TEST_EXPECT_MSG_NE(zstack2->GetNwk()->GetNetworkAddress(),
+                          Mac16Address("FF:FF"),
+                          "The dev 1 was unable to join the network");
+
+    NS_TEST_EXPECT_MSG_NE(zstack0->GetNwk()->GetNetworkAddress(),
+                          zstack1->GetNwk()->GetNetworkAddress(),
+                          "Error, devices 0 and 1 have the same 16 bit MAC address");
+
+    NS_TEST_EXPECT_MSG_NE(zstack1->GetNwk()->GetNetworkAddress(),
+                          zstack2->GetNwk()->GetNetworkAddress(),
+                          "Error, devices 1 and 2 have the same 16 bit MAC address");
+
+    // Check that the packet was received to the correct preconfigured destination endpoint.
+
+    NS_TEST_EXPECT_MSG_EQ(m_dstEndpoint,
+                          4,
+                          "Packet was not received in the correct destination endpoint");
+
+    zstack1->GetAps()->SetApsdeDataIndicationCallback(
+        MakeNullCallback<void, ApsdeDataIndicationParams, Ptr<Packet>>());
+    zstack2->GetAps()->SetApsdeDataIndicationCallback(
+        MakeNullCallback<void, ApsdeDataIndicationParams, Ptr<Packet>>());
+    Simulator::Destroy();
+}
+
+/**
+ * @ingroup zigbee-test
+ * @ingroup tests
+ *
+ * Zigbee APS Data TestSuite
+ */
+class ZigbeeApsDataTestSuite : public TestSuite
+{
+  public:
+    ZigbeeApsDataTestSuite();
+};
+
+ZigbeeApsDataTestSuite::ZigbeeApsDataTestSuite()
+    : TestSuite("zigbee-aps-data-test", Type::UNIT)
+{
+    AddTestCase(new ZigbeeApsDataTestCase, TestCase::Duration::QUICK);
+}
+
+static ZigbeeApsDataTestSuite zigbeeApsDataTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/zigbee/test/zigbee-rreq-test.cc ns-3.46/src/zigbee/test/zigbee-rreq-test.cc
--- ns-3.45/src/zigbee/test/zigbee-rreq-test.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/zigbee/test/zigbee-rreq-test.cc	2025-10-01 18:46:32.000000000 -0700
@@ -238,6 +238,7 @@
     //// Configure NWK
 
     ZigbeeHelper zigbee;
+    zigbee.SetNwkLayerOnly();
     ZigbeeStackContainer zigbeeStackContainer = zigbee.Install(lrwpanDevices);
 
     Ptr<ZigbeeStack> zstack0 = zigbeeStackContainer.Get(0)->GetObject<ZigbeeStack>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/test.py ns-3.46/test.py
--- ns-3.45/test.py	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/test.py	2025-10-01 18:46:32.000000000 -0700
@@ -8,6 +8,7 @@
 import fnmatch
 import os
 import queue
+import re
 import shutil
 import signal
 import subprocess
@@ -1248,7 +1249,7 @@
         # user wants to run everything.
         #
         if len(args.example):
-            build_cmd = "./ns3 build %s" % os.path.basename(args.example)
+            build_cmd = "./ns3 build %s" % os.path.basename(args.example.replace("*", ""))
         else:
             build_cmd = "./ns3"
 
@@ -1407,8 +1408,8 @@
                 standard_out = standard_out.decode()
             list_items = standard_out.split("\n")
             list_items.sort()
-        print("Test Type    Test Name")
-        print("---------    ---------")
+        print("Test Type            Test Name")
+        print("---------------      ---------")
         for item in list_items:
             if len(item.strip()):
                 print(item)
@@ -1424,7 +1425,7 @@
             python_examples_sorted.sort()
             examples_sorted.extend(python_examples_sorted)
         for item in examples_sorted:
-            print("example     ", item)
+            print("example             ", item)
         print()
 
     if args.kinds or args.list:
@@ -1656,11 +1657,15 @@
                 multiple = ""
             else:
                 multiple = " --stop-on-failure"
-            if len(args.fullness):
-                fullness = args.fullness.upper()
-                fullness = " --fullness=%s" % fullness
-            else:
-                fullness = " --fullness=QUICK"
+
+            if args.fullness:
+                if len(args.fullness):
+                    fullness = args.fullness.upper()
+                    fullness = " --fullness=%s" % fullness
+                else:
+                    fullness = " --fullness=QUICK"
+            elif args.only_fullness:
+                fullness = " --only-fullness=%s" % args.only_fullness.upper()
 
             path_cmd = os.path.join(
                 "utils", test_runner_name + " --test-name=%s%s%s" % (test, multiple, fullness)
@@ -1710,14 +1715,51 @@
     #  ./test.py:                                           run all of the examples
     #  ./test.py --constrain=unit                           run no examples
     #  ./test.py --constrain=example                        run all of the examples
-    #  ./test.py --suite=some-test-suite:                   run no examples
-    #  ./test.py --example=some-example:                    run the single example
-    #  ./test.py --suite=some-suite --example=some-example: run the single example
+    #  ./test.py --suite=some-test-suite                    run no examples
+    #  ./test.py --example=some-example                     run the single example with no parameters
+    #  ./test.py --example="some-example --args=2"          run the single example with custom parameters
+    #  ./test.py --example=some-example*                    run the all examples-to-run.py instances with said example
+    #  ./test.py --suite=some-suite --example=some-example  run the single example
     #
     #
-    if len(args.suite) == 0 and len(args.example) == 0 and len(args.pyexample) == 0:
+    if len(args.suite) == 0 and len(args.pyexample) == 0:
         if len(args.constrain) == 0 or args.constrain == "example":
             if ENABLE_EXAMPLES:
+                if args.example:
+                    if args.example.endswith("*"):
+                        # If an example name is passed without arguments, we filter all examples containing said program
+                        example_tests = list(
+                            filter(lambda x: args.example[:-1] in x[0], example_tests)
+                        )
+                        args.example_args = []
+                    else:
+                        example_tests = list(
+                            filter(
+                                lambda x: " ".join([args.example, *args.example_args])
+                                == x[0].split("/")[-1],
+                                example_tests,
+                            )
+                        )
+                        args.example_args = []
+
+                    if not example_tests or args.example_args:
+                        # If an example name is passed with arguments, we create an example entry for said example
+                        example_name = " ".join([args.example, *args.example_args])
+                        example_path = "%s%s-%s%s" % (
+                            APPNAME,
+                            VERSION,
+                            args.example,
+                            BUILD_PROFILE_SUFFIX,
+                        )
+                        if example_path in ns3_runnable_programs_dictionary:
+                            example_path = ns3_runnable_programs_dictionary[example_path]
+                            example_path += ".exe" if sys.platform == "win32" else ""
+                            example_path = " ".join([example_path, *args.example_args])
+                            example_tests = [(example_name, example_path, "True", "True", "QUICK")]
+                        else:
+                            print("No example matching the name %s" % example_name)
+                            example_tests = []
+
                 for name, test, do_run, do_valgrind_run, fullness in example_tests:
                     # Remove any arguments and directory names from test.
                     test_name = test.split(" ", 1)[0]
@@ -1772,44 +1814,6 @@
                             jobs = jobs + 1
                             total_tests = total_tests + 1
 
-    elif len(args.example):
-        # Add the proper prefix and suffix to the example name to
-        # match what is done in the CMakeLists.txt file.
-        example_name = "%s%s-%s%s" % (APPNAME, VERSION, args.example, BUILD_PROFILE_SUFFIX)
-
-        key_list = []
-        for key in ns3_runnable_programs_dictionary:
-            key_list.append(key)
-        example_name_key_list = fnmatch.filter(key_list, example_name)
-
-        if len(example_name_key_list) == 0:
-            print("No example matching the name %s" % args.example)
-        else:
-            #
-            # If you tell me to run an example, I will try and run the example
-            # irrespective of any condition.
-            #
-            for example_name_iter in example_name_key_list:
-                example_path = ns3_runnable_programs_dictionary[example_name_iter]
-                example_path = os.path.abspath(example_path)
-                job = Job()
-                job.set_is_example(True)
-                job.set_is_pyexample(False)
-                job.set_display_name(example_path)
-                job.set_tmp_file_name("")
-                job.set_cwd(testpy_output_dir)
-                job.set_basedir(os.getcwd())
-                job.set_tempdir(testpy_output_dir)
-                job.set_shell_command(example_path)
-                job.set_build_path(args.buildpath)
-
-                if args.verbose:
-                    print("Queue %s" % example_name_iter)
-
-                input_queue.put(job)
-                jobs = jobs + 1
-                total_tests = total_tests + 1
-
     #
     # Run some Python examples as smoke tests.  We have a list of all of
     # the example programs it makes sense to try and run.  Each example will
@@ -1994,7 +1998,7 @@
                 status = "CRASH"
                 status_print = colors.PINK + status + colors.NORMAL
 
-        print("[%d/%d] %s" % (i, total_tests, status_print), end="")
+        print("[%d/%d] %s" % (i + 1, total_tests, status_print), end="")
 
         if args.duration or args.constrain == "performance":
             print(" (%.3f)" % job.elapsed_time, end="")
@@ -2237,6 +2241,17 @@
         return 1  # catchall for general errors
 
 
+def split_program_and_arguments(argv):
+    split_argv = re.findall(r'(?:".*[|*]?"|\S)+', argv)
+    program = ""
+    program_args = []
+    if split_argv:
+        program = split_argv[0]
+    if len(split_argv) > 1:
+        program_args = split_argv[1:]
+    return program, program_args
+
+
 def main(argv):
     parser = argparse.ArgumentParser()
     parser.add_argument(
@@ -2281,8 +2296,9 @@
         default=False,
         help="If examples use reference data files, get them to re-generate them",
     )
+    fullness_group = parser.add_mutually_exclusive_group(required=False)
 
-    parser.add_argument(
+    fullness_group.add_argument(
         "-f",
         "--fullness",
         action="store",
@@ -2292,6 +2308,16 @@
         help="choose the duration of tests to run: QUICK, EXTENSIVE, or TAKES_FOREVER, where EXTENSIVE includes QUICK and TAKES_FOREVER includes QUICK and EXTENSIVE (only QUICK tests are run by default)",
     )
 
+    fullness_group.add_argument(
+        "-of",
+        "--only-fullness",
+        action="store",
+        type=str,
+        default=None,
+        choices=["QUICK", "EXTENSIVE", "TAKES_FOREVER"],
+        help="choose the duration of tests to run: QUICK, EXTENSIVE, or TAKES_FOREVER (only tests marked with fullness will be executed)",
+    )
+
     parser.add_argument(
         "-g",
         "--grind",
@@ -2428,6 +2454,8 @@
 
     global args
     args = parser.parse_args()
+    args.example, exargs = split_program_and_arguments(args.example)
+    setattr(args, "example_args", exargs)
     signal.signal(signal.SIGINT, sigint_hook)
 
     # From waf/waflib/Options.py
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/utils/bench-packets.cc ns-3.46/utils/bench-packets.cc
--- ns-3.45/utils/bench-packets.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/utils/bench-packets.cc	2025-10-01 18:46:32.000000000 -0700
@@ -16,10 +16,10 @@
 #include "ns3/system-wall-clock-ms.h"
 
 #include <algorithm>
+#include <cstdlib> // for exit ()
 #include <iostream>
 #include <limits>
 #include <sstream>
-#include <stdlib.h> // for exit ()
 #include <string>
 
 using namespace ns3;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/utils/check-style-clang-format.py ns-3.46/utils/check-style-clang-format.py
--- ns-3.45/utils/check-style-clang-format.py	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/utils/check-style-clang-format.py	2025-10-01 18:46:32.000000000 -0700
@@ -41,8 +41,8 @@
 ###########################################################
 # PARAMETERS
 ###########################################################
-CLANG_FORMAT_MAX_VERSION = 19
-CLANG_FORMAT_MIN_VERSION = 15
+CLANG_FORMAT_MAX_VERSION = 20
+CLANG_FORMAT_MIN_VERSION = 20
 
 FORMAT_GUARD_ON = [
     "// clang-format on",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/utils/codespell-ignored-lines ns-3.46/utils/codespell-ignored-lines
--- ns-3.45/utils/codespell-ignored-lines	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/utils/codespell-ignored-lines	2025-10-01 18:46:32.000000000 -0700
@@ -82,6 +82,7 @@
  * Copyright (c) 2022 Universita' degli Studi di Napoli "Federico II"
  * Copyright (c) 2023 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2024 Universita' degli Studi di Napoli Federico II
+ * Copyright (c) 2025 Universita' degli Studi di Napoli Federico II
 
 ./src/core/examples/hash-example.cc
 6ed21de2  brand-newness       peripherial
